Bug 736855 - Consumer artifacts not cleaned up when unregister with pulp-admin
Summary: Consumer artifacts not cleaned up when unregister with pulp-admin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: Sprint 27
Assignee: Jeff Ortel
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 21:12 UTC by Jeff Ortel
Modified: 2013-09-09 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:14:00 UTC


Attachments (Terms of Use)

Description Jeff Ortel 2011-09-08 21:12:39 UTC
Description of problem:

When unregistered with pulp-admin, the:

/etc/pki/consumer/cert.pem
/etc/yum.repos.d/pulp.repo

files are not being deleted.

Comment 1 Jeff Ortel 2011-09-08 21:19:42 UTC
The consumer was being deleted before invoking the agent RMI that notifies it that the consumer had been deleted (unregistered).

Fixed.

Comment 2 Jeff Ortel 2011-09-08 21:56:52 UTC
build: 0.230-3

Comment 3 Preethi Thomas 2011-09-15 14:47:53 UTC
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.230-3.fc15.noarch

pulp-admin: error: Option --id is required; please see --help
[root@preethi ~]# pulp-admin consumer unregister --id=pulp-client
Successfully unregistered consumer [pulp-client]

[root@pulp-client ~]# ls -l /etc/yum.repos.d/
total 16
-rw-r--r--. 1 root root  531 Sep  8 11:13 fedora-pulp.repo
-rw-r--r--. 1 root root 1145 Sep  8 11:10 fedora.repo
-rw-r--r--. 1 root root 1106 Sep  8 11:11 fedora-updates.repo
-rw-r--r--. 1 root root  197 Sep 15 10:45 pulp.repo
[root@pulp-client ~]# ls -l /etc/yum.repos.d/
total 12
-rw-r--r--. 1 root root  531 Sep  8 11:13 fedora-pulp.repo
-rw-r--r--. 1 root root 1145 Sep  8 11:10 fedora.repo
-rw-r--r--. 1 root root 1106 Sep  8 11:11 fedora-updates.repo
[root@pulp-client ~]# ls -l /etc/pki/consumer/
total 0

Comment 4 Preethi Thomas 2012-02-24 20:14:00 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.